Amazon Ads Read
Suggested bids for SB targeting expressions
POST https://api.adspirer.ai/api/v1/tools/get_amazon_sb_bid_recommendations/execute
Authorization: Bearer sk_live_... — your Adspirer API key (required)Content-Type: application/json (required)Idempotency-Key: <uuid> — recommended for write operations to make retries safeAll tool arguments are wrapped in an arguments object.
| Field | Type | Description |
|---|---|---|
profile_id | string optional | Amazon Ads profile ID (advertiser account). Omit to use the user's selected account. Find IDs with list_amazon_profiles. |
campaign_id | string required | SB campaign ID |
targets | array required | List of expression-lists, e.g. [[{type: 'asinCategorySameAs', value: '2522102011'}]] |
ad_format | string optional | productCollection | video | storeSpotlight default: "productCollection" |
{
"arguments": {
"campaign_id": "<campaign_id>",
"targets": [
[
{}
]
],
"profile_id": "string",
"ad_format": "productCollection"
}
}
{
"success": true,
"data": {
"text": "(tool-specific textual output for get_amazon_sb_bid_recommendations)",
"quota": {
"used": 42,
"limit": 150,
"tier": "plus",
"period_end": "2026-05-01"
}
},
"tool": "get_amazon_sb_bid_recommendations"
}
{
"success": false,
"error": "You have 25 meta_ads accounts connected. Please specify which account to use by passing the ad_account_id parameter:\n - Acme Holdings (ad_account_id=\"act_123456789\")\n - Acme EU (ad_account_id=\"act_987654321\")",
"is_error": true,
"tool": "get_amazon_sb_bid_recommendations"
}
{
"success": false,
"error": "\ud83d\udea8 Monthly limit reached (150/150 tool calls on Plus tier).\nUpgrade to Pro at https://adspirer.ai to keep building.",
"is_error": true,
"tool": "get_amazon_sb_bid_recommendations",
"quota": {
"used": 150,
"limit": 150,
"tier": "plus",
"period_end": "2026-05-01",
"upgrade_url": "https://adspirer.ai"
}
}
Interactive: Swagger UI
Machine-readable: OpenAPI 3.1 spec · llms-full.txt
More tools: Amazon Ads · All tools
Adspirer REST API — get an API key at adspirer.ai/keys · adspirer.ai